{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.system.i18n;
in {
  options.ptw.system.i18n = {
    enable = lib.mkEnableOption "Configure i18n services on the system";
  };

  config = lib.mkIf cfg.enable {
    i18n.inputMethod = {
      enabled = "ibus";
      ibus.engines = with pkgs.ibus-engines; [ mozc ];
    };

    #environment.variables = {
    #  # TODO: Use pam_environment
    #  "GTK_IM_MODULE" = "xim";
    #  "XMODIFIERS" = "@im=ibus";
    #  "QT_IM_MODULE" = "xim";
    #};
  };
}
